YPPUSH(8)

NAME
yppush - force propagation of a changed YP map

SYNOPSIS
yppush [ -d domain ] [ -v ] mapname

DESCRIPTION

Yppush copies a new version of a Yellow Pages (YP) map from the master YP server to the slave YP servers. It is normally run only on the master YP server by the Makefile in /usr/etc/yp after the master databases are changed. It first constructs a list of YP server hosts by reading the YP map ypservers within the domain. Keys within the map ypservers are the ASCII names of the machines on which the YP servers run.

A transfer map request is sent to the YP server at each host, along with the information needed by the transfer agent, which actually moves the map, to call back the yppush . When the attempt is completed (successfully or not) and the transfer agent has sent yppush a status message, the results can be printed to stdout, if the -v option is set. Messages are also printed when a transfer is not possible; such as when the request message is undeliverable, or the timeout period on responses has expired.

Refer to ypfiles(5) and ypserv(8) for an overview of the yellow pages.

OPTIONS

-d  Specify a domain.

-v  Verbose. This causes messages to be printed when each server is called, and for each response. If this flag is omitted, only error messages are printed.

FILES
/etc/yp/domainname/ypservers.{dir, pag}

SEE ALSO
ypfiles(5), ypserv(8), ypxfr(8), YP Protocol Specification

BUGS

In the current implementation (version 2 YP protocol), the transfer agent is ypxfr, which is started by the ypserv program. If yppush detects that it is speaking to a version 1 YP protocol server, it uses the older protocol, sending a version 1 YPPROC_GET request and issues a message to that effect. Unfortunately, there is no way of knowing if or when the map transfer is performed for version 1 servers. Yppush prints a message saying that an old-style message has been sent. The system administrator should later check to see that the transfer has actually taken place.